# Networking
CONFIG_NETWORKING=y
CONFIG_NET_NATIVE=y
CONFIG_NET_SOCKETS=y
CONFIG_NET_SOCKETS_SOCKOPT_TLS=y
CONFIG_NET_SOCKETS_POLL_MAX=4

CONFIG_NET_CONTEXT_RCVTIMEO=y
CONFIG_NET_MAX_CONTEXTS=8
CONFIG_NET_CONTEXT_SYNC_RECV=y
CONFIG_NET_INTERFACE_NAME=y
CONFIG_NET_IF_UNICAST_IPV4_ADDR_COUNT=5
CONFIG_NET_IF_MAX_IPV4_COUNT=4

CONFIG_NET_IPV4=y
CONFIG_NET_IPV6=n
CONFIG_NET_UDP=y
CONFIG_NET_TCP=y
CONFIG_NET_DHCPV4=y
CONFIG_NET_DHCPV4_OPTION_CALLBACKS=y
CONFIG_DNS_RESOLVER=y
CONFIG_NET_ARP=y
CONFIG_NET_SHELL=y

# Network management
CONFIG_NET_MGMT=y
CONFIG_NET_MGMT_EVENT=y
CONFIG_NET_MGMT_EVENT_INFO=y
CONFIG_NET_CONNECTION_MANAGER=y

CONFIG_NRF_SECURITY=y
# CONFIG_TLS_CREDENTIALS_BACKEND_PROTECTED_STORAGE=y
CONFIG_MBEDTLS=y
CONFIG_MBEDTLS_PSA_CRYPTO_C=y
CONFIG_MBEDTLS_ENABLE_HEAP=y
# CONFIG_MBEDTLS_HEAP_SIZE=15000
CONFIG_MBEDTLS_HEAP_SIZE=81920
CONFIG_MBEDTLS_SSL_SERVER_NAME_INDICATION=y
CONFIG_MBEDTLS_RSA_C=y

CONFIG_MQTT_LIB_TLS=y
CONFIG_AWS_IOT=y
CONFIG_AWS_IOT_CLIENT_ID_STATIC="test-bcn3"
CONFIG_AWS_IOT_BROKER_HOST_NAME="iot.dev.slatesafety.com"
CONFIG_MQTT_CLEAN_SESSION=y
CONFIG_AWS_IOT_LOG_LEVEL_DBG=y
# CONFIG_AWS_IOT_APP_SUBSCRIPTION_LIST_COUNT=5
# CONFIG_AWS_IOT_SEC_TAG=1
CONFIG_MQTT_HELPER_SEC_TAG=207
CONFIG_MQTT_HELPER_PROVISION_CERTIFICATES=n

# Date Time library
CONFIG_DATE_TIME=y
CONFIG_DATE_TIME_NTP=y
# CONFIG_DATE_TIME_MODEM=y
# CONFIG_DATE_TIME_THREAD_SIZE=2048
CONFIG_SNTP=y
CONFIG_DATE_TIME_TOO_OLD_SECONDS=60
CONFIG_DATE_TIME_UPDATE_INTERVAL_SECONDS=60
CONFIG_DATE_TIME_LOG_LEVEL_DBG=y

CONFIG_WIFI=y
CONFIG_WIFI_CREDENTIALS=y

CONFIG_NET_L2_PPP=y
CONFIG_NET_L2_PPP_OPTION_DNS_USE=y
CONFIG_MODEM=y
CONFIG_PM_DEVICE=y
CONFIG_MODEM_CELLULAR=y
CONFIG_MODEM_CELLULAR_APN="vzwinternet"
CONFIG_MODEM_CELLULAR_UART_BUFFER_SIZES=4200
CONFIG_MODEM_CELLULAR_CMUX_MAX_FRAME_SIZE=1024
CONFIG_MODEM_CELLULAR_PERIODIC_SCRIPT_MS=10000
CONFIG_MODEM_MODULES_LOG_LEVEL_WRN=y
CONFIG_MODEM_LOG_LEVEL_WRN=y
# CONFIG_UART=y
CONFIG_UART_INTERRUPT_DRIVEN=y
CONFIG_GNSS=y

CONFIG_NET_L2_ETHERNET=y

# Memories
CONFIG_MAIN_STACK_SIZE=4096
CONFIG_NET_TX_STACK_SIZE=4096
CONFIG_NET_RX_STACK_SIZE=4096

# Kernel options
CONFIG_ENTROPY_GENERATOR=y

# Benchmarking
CONFIG_POSIX_MAX_FDS=16

# Bluetooth
CONFIG_BT=y
CONFIG_BT_SMP=y
CONFIG_BT_PERIPHERAL=y
CONFIG_BT_CENTRAL=y
CONFIG_BT_MAX_CONN=2
CONFIG_BT_DEVICE_NAME_DYNAMIC=y
CONFIG_BT_DEVICE_NAME="SS Gateway 01fa8738adb5"

CONFIG_BT_SCAN=y
CONFIG_BT_SCAN_FILTER_ENABLE=y
CONFIG_BT_SCAN_UUID_CNT=1

CONFIG_BT_GATT_CLIENT=y
CONFIG_BT_GATT_DM=y
CONFIG_BT_THROUGHPUT=y

CONFIG_BT_USER_DATA_LEN_UPDATE=y
CONFIG_BT_USER_PHY_UPDATE=y
CONFIG_BT_GAP_AUTO_UPDATE_CONN_PARAMS=n

CONFIG_BT_BUF_ACL_RX_SIZE=300
CONFIG_BT_ATT_PREPARE_COUNT=1
CONFIG_BT_CONN_TX_MAX=3
CONFIG_BT_L2CAP_TX_BUF_COUNT=5
CONFIG_BT_L2CAP_TX_MTU=498
CONFIG_BT_BUF_ACL_TX_SIZE=300
CONFIG_BT_L2CAP_DYNAMIC_CHANNEL=y

#Added to fix BLE crash in coex enable cases.
CONFIG_NRF_RPC=n
CONFIG_NRF_RPC_CBOR=n

# Logging
CONFIG_LOG=y
CONFIG_PRINTK=y
CONFIG_NET_LOG=y
CONFIG_WIFI_LOG_LEVEL_DBG=y
CONFIG_LOG_DEFAULT_LEVEL=0
CONFIG_BEACON_V3_LOG_LEVEL_INF=y
CONFIG_WIFI_PROVISIONING_SERVICE_LOG_LEVEL_DBG=y

CONFIG_CJSON_LIB=y
CONFIG_BASE64=y
CONFIG_PICOLIBC_IO_FLOAT=y
CONFIG_RESET_ON_FATAL_ERROR=y
CONFIG_INIT_STACKS=y